# Copyright 2021 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash -e


ret=0
check_modem(){
  lsusb | grep "2cb7:01a2" > /dev/null 2>&1
  if [ $? == 0 ];then
    ret=1
  fi
}

path=$(pwd)
i=1
while [ $i != 0 ]
do
  check_modem
  echo "******  Fibocom tool V1.0.9  ******"
  echo "Please choose action:"
  echo "1. Collect Log"
  echo "2. Fw update"
  echo "3. Replace FW"
  echo "4. Send At"
  echo "0. exit"
  read -p "please choose:" i
  cd $path

  if [ $i == 1 ];then
    if [ $ret == 1 ];then
        python3 CheckPort.py
    fi
    j=1
    while [ $j != 0 ]
    do 
     echo "*******  Grab Log  ******"
      echo "1. Collect log automatically"
      echo "2. Collect log manually"
      echo "3. Stop collect"
      echo "4. Stop and uninstall tools"
      echo "5. Enable/disable shill logs."
      echo "6. Open trace"
      echo "7. Copy Log"
      echo "0. Exit"
      read -p "please choose:" j
      cd $path
      
      if [ $j == 1 ];then
        echo "Tool will collect log automatically"
        echo "Device will reboot"
        cd ./Tool/CAPTURE_TOOL
        ./install.sh
      elif [ $j == 2 ];then
        cd ./Tool/CAPTURE_TOOL/
        ./CaptureLog.sh
      elif [ $j == 3 ];then
        cd ./Tool/CAPTURE_TOOL
        ./stop_capture.sh
        cd ../..
      elif [ $j == 4 ];then
        cd ./Tool/CAPTURE_TOOL
        ./stop_capture.sh
        ./uninstall.sh
        cd ../..
      elif [ $j == 5 ];then
        cd ./Tool/CAPTURE_TOOL/COMMON
        echo "enable/disable shill log"
        echo "1 enalbe shill log"
        echo "2 disable shill log"
  
        read -p "please choose: " k
        if [ $k == 1 ];then
          ./shill-log-enable.sh
          echo "shill's log is enabled"
        else
          ./shill-log-disable.sh
          echo "shill's log is disabled"
        fi
        cd ../..
        echo "please reboot for log to take effect"
	      echo "1. Yes.   2. No"
        read -p "Please to choose: " l
        if [ $l == 1 ];then
          reboot
        fi
      elif [ $j == 6 ];then
        cd ./Tool/CAPTURE_TOOL/GL850/
        ./l850-opentrace.sh
      elif [ $j == 7 ];then
        cd ./Tool
        ./CopyLog.sh
        cd ..
      else
        echo "Back Main Menu"
      fi
    done   
  elif [ $i == 2 ];then
    if [ $ret == 1 ];then
      python3 CheckPort.py
    fi
    cd ./Tool/UPDATE_FW
	  echo ""
	  echo "1. Update firmware"
	  echo "0. exit"
	  read -p "Please choose" j
	  if [ $j == 1 ];then
	    ./modem-firmware-update.sh
	    cd ..
	  else
	    echo "Back Main Menu"
	  fi
  elif [ $i == 3 ];then
    cd ./Tool/MODEMFWD_FIRMWARE_REPLACE
    echo "You should copy Fw to /usr/local/fibocomtools/ , first"
	  read -p "If the firmware has been copied to the specified location, please enter 1, otherwise enter 2: " j

  	if [ $j == 1 ];then
	    ./replace.sh
	    cd ..
   	fi     
  elif [ $i == 4 ];then
    cd ./Tool
    ./at_tool.sh
    cd ..
  else
    i=0
  fi
done
